net.minecraft.item

## Class ItemStack

- java.lang.Object
- - net.minecraft.item.ItemStack

-     public final class ItemStack
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `animationsToGo`
    `static java.text.DecimalFormat` | `field_111284_a`
    `int` | `stackSize`
    `NBTTagCompound` | `stackTagCompound`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemStack(Block par1Block)`
    `ItemStack(Block par1Block, int par2)`
    `ItemStack(Block par1Block, int par2, int par3)`
    `ItemStack(Item par1Item)`
    `ItemStack(Item par1Item, int par2)`
    `ItemStack(Item par1Item, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnchantment(Enchantment par1Enchantment, int par2)`
    `static boolean` | `areItemStacksEqual(ItemStack par0ItemStack, ItemStack par1ItemStack)`
    `static boolean` | `areItemStackTagsEqual(ItemStack par0ItemStack, ItemStack par1ItemStack)`
    `boolean` | `attemptDamageItem(int par1, java.util.Random par2Random)`
    `boolean` | `canEditBlocks()`
    `ItemStack` | `copy()`
    `static ItemStack` | `copyItemStack(ItemStack par0ItemStack)`
    `void` | `damageItem(int par1, EntityLivingBase par2EntityLivingBase)`
    `void` | `func_135074_t()`
    `void` | `func_150996_a(Item p_150996_1_)`
    `float` | `func_150997_a(Block p_150997_1_)`
    `boolean` | `func_150998_b(Block p_150998_1_)`
    `void` | `func_150999_a(World p_150999_1_, Block p_150999_2_, int p_150999_3_, int p_150999_4_, int p_150999_5_, EntityPlayer p_150999_6_)`
    `IChatComponent` | `func_151000_E()`
    `com.google.common.collect.Multimap` | `getAttributeModifiers()`
    `java.lang.String` | `getDisplayName()`
    `NBTTagList` | `getEnchantmentTagList()`
    `boolean` | `getHasSubtypes()`
    `IIcon` | `getIconIndex()`
    `Item` | `getItem()`
    `int` | `getItemDamage()`
    `int` | `getItemDamageForDisplay()`
    `EntityItemFrame` | `getItemFrame()`
    `int` | `getItemSpriteNumber()`
    `EnumAction` | `getItemUseAction()`
    `int` | `getMaxDamage()`
    `int` | `getMaxItemUseDuration()`
    `int` | `getMaxStackSize()`
    `EnumRarity` | `getRarity()`
    `int` | `getRepairCost()`
    `NBTTagCompound` | `getTagCompound()`
    `java.util.List` | `getTooltip(EntityPlayer par1EntityPlayer, boolean par2)`
    `java.lang.String` | `getUnlocalizedName()`
    `boolean` | `hasDisplayName()`
    `boolean` | `hasEffect()` Deprecated.
    `boolean` | `hasEffect(int pass)`
    `boolean` | `hasTagCompound()`
    `void` | `hitEntity(EntityLivingBase par1EntityLivingBase, EntityPlayer par2EntityPlayer)`
    `boolean` | `interactWithEntity(EntityPlayer par1EntityPlayer, EntityLivingBase par2EntityLivingBase)`
    `boolean` | `isItemDamaged()`
    `boolean` | `isItemEnchantable()`
    `boolean` | `isItemEnchanted()`
    `boolean` | `isItemEqual(ItemStack par1ItemStack)`
    `boolean` | `isItemStackDamageable()`
    `boolean` | `isOnItemFrame()`
    `boolean` | `isStackable()`
    `static ItemStack` | `loadItemStackFromNBT(NBTTagCompound par0NBTTagCompound)`
    `void` | `onCrafting(World par1World, EntityPlayer par2EntityPlayer, int par3)`
    `ItemStack` | `onFoodEaten(World par1World, EntityPlayer par2EntityPlayer)`
    `void` | `onPlayerStoppedUsing(World par1World, EntityPlayer par2EntityPlayer, int par3)`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setItemDamage(int par1)`
    `void` | `setItemFrame(EntityItemFrame par1EntityItemFrame)`
    `void` | `setRepairCost(int par1)`
    `ItemStack` | `setStackDisplayName(java.lang.String p_151001_1_)`
    `void` | `setTagCompound(NBTTagCompound par1NBTTagCompound)`
    `void` | `setTagInfo(java.lang.String par1Str, NBTBase par2NBTBase)`
    `ItemStack` | `splitStack(int par1)`
    `java.lang.String` | `toString()`
    `boolean` | `tryPlaceItemIntoWorld(EntityPlayer par1EntityPlayer, World par2World, int par3, int par4, int par5, int par6, float par7, float par8, float par9)`
    `void` | `updateAnimation(World par1World, Entity par2Entity, int par3, boolean par4)`
    `ItemStack` | `useItemRightClick(World par1World, EntityPlayer par2EntityPlayer)`
    `NBTTagCompound` | `writeToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_111284_a

          public static final java.text.DecimalFormat field_111284_a

    - #### stackSize

          public int stackSize

    - #### animationsToGo

          public int animationsToGo

    - #### stackTagCompound

          public NBTTagCompound stackTagCompound

  - ### Constructor Detail

    - #### ItemStack

          public ItemStack(Block par1Block)

    - #### ItemStack

          public ItemStack(Block par1Block,
                   int par2)

    - #### ItemStack

          public ItemStack(Block par1Block,
                   int par2,
                   int par3)

    - #### ItemStack

          public ItemStack(Item par1Item)

    - #### ItemStack

          public ItemStack(Item par1Item,
                   int par2)

    - #### ItemStack

          public ItemStack(Item par1Item,
                   int par2,
                   int par3)

  - ### Method Detail

    - #### loadItemStackFromNBT

          public static ItemStack loadItemStackFromNBT(NBTTagCompound par0NBTTagCompound)

    - #### splitStack

          public ItemStack splitStack(int par1)

    - #### getItem

          public Item getItem()

    - #### getIconIndex

          public IIcon getIconIndex()

    - #### getItemSpriteNumber

          public int getItemSpriteNumber()

    - #### tryPlaceItemIntoWorld

          public boolean tryPlaceItemIntoWorld(EntityPlayer par1EntityPlayer,
                                      World par2World,
                                      int par3,
                                      int par4,
                                      int par5,
                                      int par6,
                                      float par7,
                                      float par8,
                                      float par9)

    - #### func_150997_a

          public float func_150997_a(Block p_150997_1_)

    - #### useItemRightClick

          public ItemStack useItemRightClick(World par1World,
                                    EntityPlayer par2EntityPlayer)

    - #### onFoodEaten

          public ItemStack onFoodEaten(World par1World,
                              EntityPlayer par2EntityPlayer)

    - #### writeToNBT

          public NBTTagCompound writeToNBT(NBTTagCompound par1NBTTagCompound)

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

    - #### getMaxStackSize

          public int getMaxStackSize()

    - #### isStackable

          public boolean isStackable()

    - #### isItemStackDamageable

          public boolean isItemStackDamageable()

    - #### getHasSubtypes

          public boolean getHasSubtypes()

    - #### isItemDamaged

          public boolean isItemDamaged()

    - #### getItemDamageForDisplay

          public int getItemDamageForDisplay()

    - #### getItemDamage

          public int getItemDamage()

    - #### setItemDamage

          public void setItemDamage(int par1)

    - #### getMaxDamage

          public int getMaxDamage()

    - #### attemptDamageItem

          public boolean attemptDamageItem(int par1,
                                  java.util.Random par2Random)

    - #### damageItem

          public void damageItem(int par1,
                        EntityLivingBase par2EntityLivingBase)

    - #### hitEntity

          public void hitEntity(EntityLivingBase par1EntityLivingBase,
                       EntityPlayer par2EntityPlayer)

    - #### func_150999_a

          public void func_150999_a(World p_150999_1_,
                           Block p_150999_2_,
                           int p_150999_3_,
                           int p_150999_4_,
                           int p_150999_5_,
                           EntityPlayer p_150999_6_)

    - #### func_150998_b

          public boolean func_150998_b(Block p_150998_1_)

    - #### interactWithEntity

          public boolean interactWithEntity(EntityPlayer par1EntityPlayer,
                                   EntityLivingBase par2EntityLivingBase)

    - #### copy

          public ItemStack copy()

    - #### areItemStackTagsEqual

          public static boolean areItemStackTagsEqual(ItemStack par0ItemStack,
                                      ItemStack par1ItemStack)

    - #### areItemStacksEqual

          public static boolean areItemStacksEqual(ItemStack par0ItemStack,
                                   ItemStack par1ItemStack)

    - #### isItemEqual

          public boolean isItemEqual(ItemStack par1ItemStack)

    - #### getUnlocalizedName

          public java.lang.String getUnlocalizedName()

    - #### copyItemStack

          public static ItemStack copyItemStack(ItemStack par0ItemStack)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### updateAnimation

          public void updateAnimation(World par1World,
                             Entity par2Entity,
                             int par3,
                             boolean par4)

    - #### onCrafting

          public void onCrafting(World par1World,
                        EntityPlayer par2EntityPlayer,
                        int par3)

    - #### getMaxItemUseDuration

          public int getMaxItemUseDuration()

    - #### getItemUseAction

          public EnumAction getItemUseAction()

    - #### onPlayerStoppedUsing

          public void onPlayerStoppedUsing(World par1World,
                                  EntityPlayer par2EntityPlayer,
                                  int par3)

    - #### hasTagCompound

          public boolean hasTagCompound()

    - #### getTagCompound

          public NBTTagCompound getTagCompound()

    - #### getEnchantmentTagList

          public NBTTagList getEnchantmentTagList()

    - #### setTagCompound

          public void setTagCompound(NBTTagCompound par1NBTTagCompound)

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### setStackDisplayName

          public ItemStack setStackDisplayName(java.lang.String p_151001_1_)

    - #### func_135074_t

          public void func_135074_t()

    - #### hasDisplayName

          public boolean hasDisplayName()

    - #### getTooltip

          public java.util.List getTooltip(EntityPlayer par1EntityPlayer,
                                  boolean par2)

    - #### hasEffect

          @Deprecated
          public boolean hasEffect()

      Deprecated.

    - #### hasEffect

          public boolean hasEffect(int pass)

    - #### getRarity

          public EnumRarity getRarity()

    - #### isItemEnchantable

          public boolean isItemEnchantable()

    - #### addEnchantment

          public void addEnchantment(Enchantment par1Enchantment,
                            int par2)

    - #### isItemEnchanted

          public boolean isItemEnchanted()

    - #### setTagInfo

          public void setTagInfo(java.lang.String par1Str,
                        NBTBase par2NBTBase)

    - #### canEditBlocks

          public boolean canEditBlocks()

    - #### isOnItemFrame

          public boolean isOnItemFrame()

    - #### setItemFrame

          public void setItemFrame(EntityItemFrame par1EntityItemFrame)

    - #### getItemFrame

          public EntityItemFrame getItemFrame()

    - #### getRepairCost

          public int getRepairCost()

    - #### setRepairCost

          public void setRepairCost(int par1)

    - #### getAttributeModifiers

          public com.google.common.collect.Multimap getAttributeModifiers()

    - #### func_150996_a

          public void func_150996_a(Item p_150996_1_)

    - #### func_151000_E

          public IChatComponent func_151000_E()